<?xml version="1.0" encoding="ISO-8859-1"?>
<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform" version="1.0" xmlns:util="urn:contentFunctions" exclude-result-prefixes="util">
  <xsl:output omit-xml-declaration="yes" doctype-public="-//W3C//DTD XHTML 1.0 Transitional//EN" doctype-system="http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd" method="xml" />
  <xsl:variable name="selectedpage">
    <xsl:value-of select="//selectedpage" />
  </xsl:variable>
  <xsl:template match="/">
    <xsl:for-each select="//page[@id=$selectedpage]" xml:space="preserve">
		<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="da" lang="da">
					<xsl:variable name="moduleid">
  						<xsl:value-of select="usetemplate" /> 
  					</xsl:variable>
  					<xsl:variable name="pageurl" xml:space="default">
          <xsl:choose>
            <xsl:when test="not(friendlyurl) or friendlyurl=''">
              <xsl:value-of select="//template[@id=$moduleid]/publicurl" />?pageid=<xsl:value-of select="@id" />
            </xsl:when>
            <xsl:otherwise>
              <xsl:value-of select="friendlyurl" />
            </xsl:otherwise>
          </xsl:choose>
        </xsl:variable>

			<head>
				<xsl:element name="title">
					<xsl:if test="parameters/htmltitle !=''"><xsl:value-of select="parameters/htmltitle" /></xsl:if>
					<xsl:if test="parameters/htmltitle ='' or not(parameters/htmltitle)"><xsl:value-of select="menutitle" /></xsl:if>
				</xsl:element>
				<meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1" />
				<meta http-equiv="imagetoolbar" content="no" />
				<meta name="generator" content="profilEdit CMS" />
				<meta name="description" content="{parameters/metadescription}" />
				<meta name="keywords" content="" />
				<link rel="stylesheet" href="/images/default.css" type="text/css" media="all" />
				<meta name="DC.language" content="da" />
				<link rel="schema.DC" href="http://purl.org/dc/elements/1.1/" />
				<link rel="schema.DCTERMS" href="http://purl.org/dc/terms/" />
				<meta name="DC.subject" lang="da" content="" />
				<meta name="DC.type" scheme="DCTERMS.DCMIType" content="Text" />
				<meta name="DC.format" content="text/html; charset=iso-8859-1" />
				<meta name="DC.Date" content="{substring-before(@updated,' ')}" /> 
				<meta name="DC.language" scheme="DCTERMS.RFC1766" content="da" />
				<meta http-equiv="Pragma" content="no-cache" />
				<meta http-equiv="Cache-Control" content="no-cache" />
				<meta http-equiv="Cache-Control" content="no-store" />

				<xsl:element name="meta" xml:space="default">
            <xsl:attribute name="name">DC.title</xsl:attribute>
            <xsl:attribute name="content">
              <xsl:if test="parameters/htmltitle !=''">
                <xsl:value-of select="parameters/htmltitle" />
              </xsl:if>
              <xsl:if test="parameters/htmltitle ='' or not(parameters/htmltitle)">
                <xsl:value-of select="menutitle" />
              </xsl:if>
            </xsl:attribute>
          </xsl:element>
					<meta name="DC.description" content="{parameters/metadescription}" />
					
			</head>
			
<body>
<div id="wrapper">
	<div id="logo">
		<xsl:choose>
			<xsl:when test="/website/page[public=1]/@id = $selectedpage and count(preceding-sibling::page)=0 and /website/@editmode = 'AdminEdit'">
				<br/>
				<Editor type="text" id="header1" width="300px" label="Heading1: " cssstyle="margin-top:20px;"/><br/>
				<Editor type="text" id="header2" width="300px" label="Heading2: " cssstyle="margin-top:20px;"/><br/>
			</xsl:when>
			<xsl:otherwise>
				<h1><xsl:value-of select="/website/page[public=1]/contentholders/header1"/>&#160;</h1>
				<p><em><xsl:value-of select="/website/page[public=1]/contentholders/header2"/>&#160;</em></p>
			</xsl:otherwise>
		</xsl:choose>
	</div>

	<hr />
	<!-- end #logo -->

	<xsl:call-template name="topmenu" />
	
	<div id="page">
	<div id="page-bgtop">
		<div id="content">
			<div class="post">
				<h2 class="title"><xsl:value-of select="menutitle"/></h2>
				<div class="entry">
					<Editor id="html" width="500px" height="400px"/>
				</div>
			</div>
		</div>
			<!-- end #content -->
			<xsl:call-template name="submenu" />
	</div>
	</div>

	<div id="footer">
		<p class="left small smallpadding">Last updated: 
			<xsl:call-template name="longdate">
				<xsl:with-param name="date">
					<xsl:value-of select="substring-before(//page[@id=$selectedpage]/@updated,' ')"/>
				</xsl:with-param>
			</xsl:call-template>
		</p>
		<p class="right small smallpadding">Built with <a href="http://www.kitecms.com" target="_blank">KiteCMS</a></p>
	</div>

	</div>
</body>
</html>
		
	</xsl:for-each>
  </xsl:template>

  <xsl:template name="topmenu">
    <!-- menu -->
    <xsl:comment>noindex</xsl:comment>
		<div id="header" xmlns="http://www.w3.org/1999/xhtml">
			<div id="menu">
	      <ul>
	        <xsl:for-each select="/website/page[public = 1]">
	          <xsl:variable name="moduleid">
	            <xsl:value-of select="usetemplate" />
	          </xsl:variable>
	          <xsl:variable name="pageurl">
	            <xsl:choose>
	              <xsl:when test="not(friendlyurl) or friendlyurl=''">
	                <xsl:value-of select="//template[@id=$moduleid]/publicurl" />?pageid=<xsl:value-of select="@id" /></xsl:when>
	              <xsl:otherwise>
	                <xsl:value-of select="friendlyurl" />
	              </xsl:otherwise>
	            </xsl:choose>
	          </xsl:variable>
	          <xsl:if test="descendant-or-self::page[@id=$selectedpage]">
	            <li class="current_page_item">
	            		<xsl:if test="position()=1">
	            			<a href="{$pageurl}" class="first"><xsl:value-of select="menutitle" /></a>
            			</xsl:if>
	            		<xsl:if test="position()!=1">
	            			<a href="{$pageurl}"><xsl:value-of select="menutitle" /></a>
            			</xsl:if>
							</li>
	          </xsl:if>
	          <xsl:if test="(public=1) and not(descendant-or-self::page[@id=$selectedpage])">
	            <li>
	            		<xsl:if test="position()=1">
	            			<a href="{$pageurl}" class="first"><xsl:value-of select="menutitle" /></a>
            			</xsl:if>
	            		<xsl:if test="position()!=1">
	            			<a href="{$pageurl}"><xsl:value-of select="menutitle" /></a>
            			</xsl:if>
	            </li>
	          </xsl:if>
	        </xsl:for-each>
	      </ul>
		  </div>
	
			<div id="search">
				<form method="get" action="">
					<fieldset>
					<input type="text" name="s" id="search-text" size="15" />
					<input type="submit" id="search-submit" value="GO" />
					</fieldset>
				</form>
			</div>
		</div>
    <xsl:comment>/noindex</xsl:comment>
  </xsl:template>

  <xsl:template name="submenu">
    <!-- menu -->
    <xsl:comment>noindex</xsl:comment>

		<div id="sidebar">
	    <xsl:if test="count(/website/page[@id=$selectedpage or .//page/@id=$selectedpage]/page[public=1  and usetemplate != '3'])&gt;0">
				<h2>Submenu</h2>
					<ul>
    	    <xsl:for-each select="/website/page[@id=$selectedpage or .//page/@id=$selectedpage]/page[public=1  and usetemplate != '3']">
	          <xsl:variable name="moduleid">
	            <xsl:value-of select="usetemplate" />
	          </xsl:variable>
	          <xsl:variable name="pageurl">
	            <xsl:choose>
	              <xsl:when test="not(friendlyurl) or friendlyurl=''">
	                <xsl:value-of select="//template[@id=$moduleid]/publicurl" />?pageid=<xsl:value-of select="@id" /></xsl:when>
	              <xsl:otherwise>
	                <xsl:value-of select="friendlyurl" />
	              </xsl:otherwise>
	            </xsl:choose>
	          </xsl:variable>
	          <xsl:if test="descendant-or-self::page[@id=$selectedpage]">
	            <li>
	            	<a href="{$pageurl}" id="subactive"><xsl:value-of select="menutitle" /></a>
							</li>
	          </xsl:if>
	          <xsl:if test="(public=1) and not(descendant-or-self::page[@id=$selectedpage])">
	            <li>
	            	<a href="{$pageurl}"><xsl:value-of select="menutitle" /></a>
	            </li>
	          </xsl:if>
	        </xsl:for-each>
	      </ul>
			</xsl:if>
    &#160;</div>
		<div style="clear: both;">&#160;</div>
  </xsl:template>

<xsl:template name="longdate">
<xsl:param name='date'/>
			<xsl:value-of select="number(substring-after(substring-after($date,'-'),'-'))"/>.
			<xsl:choose>
			<xsl:when test="substring-before(substring-after($date,'-'),'-')=1">jan</xsl:when>
			<xsl:when test="substring-before(substring-after($date,'-'),'-')=2">feb</xsl:when>
			<xsl:when test="substring-before(substring-after($date,'-'),'-')=3">mar</xsl:when>
			<xsl:when test="substring-before(substring-after($date,'-'),'-')=4">apr</xsl:when>
			<xsl:when test="substring-before(substring-after($date,'-'),'-')=5">maj</xsl:when>
			<xsl:when test="substring-before(substring-after($date,'-'),'-')=6">jun</xsl:when>
			<xsl:when test="substring-before(substring-after($date,'-'),'-')=7">jul</xsl:when>
			<xsl:when test="substring-before(substring-after($date,'-'),'-')=8">aug</xsl:when>
			<xsl:when test="substring-before(substring-after($date,'-'),'-')=9">sep</xsl:when>
			<xsl:when test="substring-before(substring-after($date,'-'),'-')=10">okt</xsl:when>
			<xsl:when test="substring-before(substring-after($date,'-'),'-')=11">nov</xsl:when>
			<xsl:when test="substring-before(substring-after($date,'-'),'-')=12">dec</xsl:when>
			</xsl:choose>.&#160;<xsl:value-of select="substring-before($date,'-')"/>
</xsl:template>
</xsl:stylesheet>